%define __release	07
Summary: A persistency framework defining a data model for linear collider experiments
Name: lcio
Version: 01
Release: %{__release}b
Source0: localhost:/%{name}-v%{version}-%{__release}-i386.tar.gz
NoSource: 0
URL: http://lcio.desy.de/
Group: Development/Libraries
License: Linear Collider Study Group
%define __prefix	/opt/lcio
Prefix: %{__prefix}
BuildRoot: %{_tmppath}/%{name}-root

%description
LCIO is a persistency framework that defines a data model for linear 
collider detector studies. It is intended to be used in both simulation 
studies and analysis frameworks. 
Its light weight and portability makes it also suitable for use in 
detector R&D applications. It provides a C++ and a Java implementation 
with a common interface (API) - a Fortran interface to the C++ 
implementation also exists.

Almost all groups involved in linear collider detector studies have their 
own simulation software framework. Using a common persistency scheme 
would allow to easily share results and compare pattern recognition algorithms. 
LCIO (Linear Collider I/O) is such a persistency framework. LCIO is used 
by one US group and will be the standard format for the european simulation 
applications, where others might join in the near future.

The framework fulfills the requirements of the different groups today and 
is flexible enough to be adapted to future needs.

%prep
%setup -c %{name}-%{__release}
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{__prefix}

%install
tar -zpxvf $RPM_SOURCE_DIR/%{name}-v%{version}-%{__release}-i386.tar.gz -C $RPM_BUILD_ROOT%{__prefix}
find $RPM_BUILD_ROOT -type d | sed -e "s;$RPM_BUILD_ROOT;%dir ;" \
			     | grep -ve '^%dir %{__prefix}$' \
			     | grep -ve '^%dir /[^/]*$'  \
			     | grep -ve '^%dir $' > list.f
find $RPM_BUILD_ROOT -type f | sed -e "s;$RPM_BUILD_ROOT;;" >> list.f
find $RPM_BUILD_ROOT -type l | sed -e "s;$RPM_BUILD_ROOT;;" >> list.f

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Apr 19 2007 Keisuke Fujii <keisuke.fujii@kek.jp> 01-07-1b
- 2nd build on MacOS X 10.4 for Intel Macs with clhep-2.0.3.1

* Sat Oct 07 2006 Keisuke Fujii <keisuke.fujii@kek.jp> 01-07-1a
- 1st build on MacOS X 10.4 for Intel Macs with clhep-2.0.2.3

%files -f list.f
%defattr(-,root,wheel)
